> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/custombet-cb/api/void-recalculation/endpoint.md).

# Endpoint

<a href="https://iodocs.betradar.com/?urls.primaryName=Unified%20Feed%20Integration#/CustomBet%20API/calculateProbabilityVoid" class="button primary" data-icon="rectangle-api">Try the API</a>

## Calculate probability with void selections

> Calculates probability and odds for a CustomBet and returns the original calculation together with all possible void combinations.

```json
{"openapi":"3.0.3","info":{"title":"Betradar CustomBet API","version":"1.0.0"},"servers":[{"url":"https://global.api.betradar.com/v1"}],"security":[{"key":[]}],"components":{"securitySchemes":{"key":{"type":"apiKey","in":"header","name":"x-access-token"}}},"paths":{"/custombet/calculate-void":{"post":{"summary":"Calculate probability with void selections","description":"Calculates probability and odds for a CustomBet and returns the original calculation together with all possible void combinations.","operationId":"calculateVoid","tags":["CustomBet API"],"parameters":[{"name":"Content-Type","description":"The content type of the request body.","in":"header","required":true,"schema":{"type":"string"},"default":"application/xml"}],"requestBody":{"required":true,"content":{"application/xml":{"schema":{"type":"object"}}}},"responses":{"200":{"description":"successful operation","content":{"application/xml":{}}},"400":{"description":"Bad request","content":{"application/json":{}}},"401":{"description":"Unauthorized","content":{"application/json":{}}},"403":{"description":"Access denied","content":{"application/json":{}}},"500":{"description":"Internal server error","content":{"application/json":{}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/custombet-cb/api/void-recalculation/endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
